# Uses of Class
org.eclipse.jface.viewers.StructuredViewer.ColorAndFontCollector

Packages that use StructuredViewer.ColorAndFontCollector
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.

## Uses of StructuredViewer.ColorAndFontCollector in org.eclipse.jface.viewers

Subclasses of StructuredViewer.ColorAndFontCollector in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`protected class`
`StructuredViewer.ColorAndFontCollectorWithProviders`
The ColorAndFontCollector is a helper class for viewers that have color and font support ad optionally decorators.
Methods in org.eclipse.jface.viewers that return StructuredViewer.ColorAndFontCollector
Modifier and Type
Method
Description
`protected StructuredViewer.ColorAndFontCollector`
StructuredViewer.`getColorAndFontCollector()`
Get the ColorAndFontCollector for the receiver.